Date   

Re: Need help on odltools running in CSIT.

Anil Belur
 

Hi Srinivas, 

Can you point us as to which CSIT job you would like to run this code? 

Thanks

On Thu, May 21, 2020 at 3:02 PM Srinivas via lists.opendaylight.org <srinivas.rachakonda=altencalsoftlabs.com@...> wrote:

Hi All,

 

I am working on odltools and would like to know how to get the merged gerrit code into CSIT jobs.

 

https://git.opendaylight.org/gerrit/c/odltools/+/89799

 

I want the above Gerrit code to be picked up during the job run.

 

Please kindly help me in this regards.

 

Thanks,

Srinivas

+91-9243478719

 



Re: Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Thanks Anil.

 

 

Thanks,

Srinivas

+91-9243478719

 

From: Anil Belur <abelur@...>
Sent: 21 May 2020 16:40
To: srinivas.rachakonda@...
Cc: Jamo Luhrsen <jluhrsen@...>; integration-dev@...; odl netvirt dev <netvirt-dev@...>; Manjunatha H M <manjunathahm@...>; Karthikeyan Krishnan <karthikeyan.k@...>; Dayavanti Gopal Kamath <dayavanti.gopal.kamath@...>; Sivakumar Perumalla <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

 

 

On Thu, May 21, 2020 at 2:30 PM <srinivas.rachakonda@...> wrote:

Thanks a lot Anil.

 

I want to use the same image for python3 related issues in netvirt jobs.

 

Thanks,

Srinivas

+91-9243478719

 

I've built new images, this should be updated python3.

 

 

Thanks,

Anil 


Re: Quagga needs to be updated with latest packages.

Anil Belur
 



On Thu, May 21, 2020 at 2:30 PM <srinivas.rachakonda@...> wrote:

Thanks a lot Anil.

 

I want to use the same image for python3 related issues in netvirt jobs.

 

Thanks,

Srinivas

+91-9243478719


I've built new images, this should be updated python3.


Thanks,
Anil 


Need help on odltools running in CSIT.

Srinivas <srinivas.rachakonda@...>
 

Hi All,

 

I am working on odltools and would like to know how to get the merged gerrit code into CSIT jobs.

 

https://git.opendaylight.org/gerrit/c/odltools/+/89799

 

I want the above Gerrit code to be picked up during the job run.

 

Please kindly help me in this regards.

 

Thanks,

Srinivas

+91-9243478719

 


integration meeting minutes (05/20/2020)

JamO Luhrsen
 


Re: Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Thanks a lot Anil.

 

I want to use the same image for python3 related issues in netvirt jobs.

 

Thanks,

Srinivas

+91-9243478719

 

From: Anil Belur <abelur@...>
Sent: 21 May 2020 09:36
To: srinivas.rachakonda@...
Cc: Jamo Luhrsen <jluhrsen@...>; integration-dev@...; odl netvirt dev <netvirt-dev@...>; Manjunatha H M <manjunathahm@...>; Karthikeyan Krishnan <karthikeyan.k@...>; Dayavanti Gopal Kamath <dayavanti.gopal.kamath@...>; Sivakumar Perumalla <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

 

On Tue, May 12, 2020 at 3:58 AM Srinivas via lists.opendaylight.org <srinivas.rachakonda=altencalsoftlabs.com@...> wrote:

Hi Jamo,

 

I see many job failures due to python version moving to >3.5.

Would it be possible to bring a new instance with CentOS and Ubuntu(18.04) which has python3.

 

I see some packer scripts present in (quite old repo):

https://github.com/opendaylight/integration-packaging/tree/master/packer

 

If any documents are there please share it with us.

I will try with the new instances.

 

Thanks,

Srinivas

+91-9243478719

 

I've enabled Ubuntu 18.04 images to be built, this could be used for building latest version quagga binaries.

 

 

Thanks,

Anil


Re: Quagga needs to be updated with latest packages.

Anil Belur
 


On Tue, May 12, 2020 at 3:58 AM Srinivas via lists.opendaylight.org <srinivas.rachakonda=altencalsoftlabs.com@...> wrote:

Hi Jamo,

 

I see many job failures due to python version moving to >3.5.

Would it be possible to bring a new instance with CentOS and Ubuntu(18.04) which has python3.

 

I see some packer scripts present in (quite old repo):

https://github.com/opendaylight/integration-packaging/tree/master/packer

 

If any documents are there please share it with us.

I will try with the new instances.

 

Thanks,

Srinivas

+91-9243478719


I've enabled Ubuntu 18.04 images to be built, this could be used for building latest version quagga binaries.


Thanks,
Anil


Re: [app-dev] removing bgpcep csit from dist-test job

Luis Gomez
 

+1, the job will be there for any troubleshooting, it will just not be used for distribution verification until the tests are repaired.

BR/Luis

On May 18, 2020, at 4:36 PM, Jamo Luhrsen <jamo@...> wrote:

Hi,

there are two jobs that are always failing for many releases in a
row now. Instead of having to keep looking at them and marking
them as IGNORE, we will just remove them. If the job ever gets
some attention and is stable, we can easily add it back.

https://git.opendaylight.org/gerrit/c/releng/builder/+/89861

Thanks,
JamO




removing bgpcep csit from dist-test job

Jamo Luhrsen <jamo@...>
 

Hi,

there are two jobs that are always failing for many releases in a
row now. Instead of having to keep looking at them and marking
them as IGNORE, we will just remove them. If the job ever gets
some attention and is stable, we can easily add it back.

https://git.opendaylight.org/gerrit/c/releng/builder/+/89861

Thanks,
JamO


Re: integration meeting agenda topics for tomorrow (5/20/2020)?

Daniel de la Rosa
 

Yes, let's talk about Sodium SR3, plus ONAP schedule


On Tue, May 19, 2020 at 9:06 AM JamO Luhrsen <jluhrsen@...> wrote:
Do we have any topics to hold an integration meeting tomorrow 9pm PST?

Thanks,
JamO



--
Daniel de la Rosa
Customer Support Manager
Lumina Networks Inc.
e: ddelarosa@...
m:  +1 408 7728120


integration meeting agenda topics for tomorrow (5/20/2020)?

JamO Luhrsen
 

Do we have any topics to hold an integration meeting tomorrow 9pm PST?

Thanks,
JamO


integration meeting tomorrow (5/13/2020) @ 9pm PST

JamO Luhrsen
 

A few things to talk about:

- removing constantly ignore CSIT from our main test job so that we
   don't have to keep looking at it every release cycle.

- sodium SR3 is upon us (there is a netconf regression, mri bump, etc)

- Magnesium SR1 almost done, what's left?

- how super committer rights work?

- other topics you folks have.

Thanks,
JamO


Re: Quagga needs to be updated with latest packages.

JamO Luhrsen
 

Hi Srinivas,

(adding Anil B. directly to correct me if I'm wrong)

I think we have Ubuntu 16.04, sounds like maybe that will not work.
To get 18.04, I think you can follow the same patterns we have
for the other versions in the common-packer project:

https://github.com/lfit/releng-common-packer
https://docs.releng.linuxfoundation.org/projects/common-packer/en/latest/

I guess the same could be done for CentOS8.

I'm am not sure the process of how the new instances would be made
available (maybe it's automatic) when the right code is merged
in the common-packer repo. But, the first step would probably to
push a patch and we can get the attention of the right folks to
help.

Thanks,
JamO

On 5/11/20 10:58 AM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

I see many job failures due to python version moving to >3.5.

Would it be possible to bring a new instance with CentOS and Ubuntu(18.04) which has python3.

 

I see some packer scripts present in (quite old repo):

https://github.com/opendaylight/integration-packaging/tree/master/packer

 

If any documents are there please share it with us.

I will try with the new instances.

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 08 May 2020 22:20
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

These things are all probably getting old and stale and probably could use
some maintenance and updates. Maybe you can find a similar instace
to run these scripts on to fight through all the problems and update the
scripts?

JamO

On 5/7/20 10:22 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the help.

 

jjb-deploy: netvirt-thirdparty-quagga-ubuntu1604

 

The job failed due to python dependencies:

 

https://github.com/lfit/releng-global-jjb/blob/5dc3432cae2f13d9e5151a00a76a78ce73d92d70/shell/python-tools-install.sh#L27

 

https://jenkins.opendaylight.org/sandbox/view/All/job/netvirt-thirdparty-quagga-ubuntu1604/1/console

 

04:35:06 WARNING: Python projects should move to Ubuntu 18.04 to continue receiving support

04:35:14 ERROR: Package 'python-heatclient' requires a different Python: 3.5.2 not in '>=3.6'

04:35:14 Build step 'Execute shell' marked build as failure

 

 

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 07 May 2020 12:37
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

the easiest way to get a sandbox job is to write a gerrit comment like

deploy-job: <job-name>

any gerrit will work.

Otherwise you can read through here:

https://docs.opendaylight.org/projects/releng-builder/en/latest/jenkins.html

that should tell you how to use jenkins-jobs locally to push jobs to the
sandbox.

Thanks,
JamO

On 5/6/20 11:58 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Hi Jamo,

 

I see many job failures due to python version moving to >3.5.

Would it be possible to bring a new instance with CentOS and Ubuntu(18.04) which has python3.

 

I see some packer scripts present in (quite old repo):

https://github.com/opendaylight/integration-packaging/tree/master/packer

 

If any documents are there please share it with us.

I will try with the new instances.

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 08 May 2020 22:20
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

These things are all probably getting old and stale and probably could use
some maintenance and updates. Maybe you can find a similar instace
to run these scripts on to fight through all the problems and update the
scripts?

JamO

On 5/7/20 10:22 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the help.

 

jjb-deploy: netvirt-thirdparty-quagga-ubuntu1604

 

The job failed due to python dependencies:

 

https://github.com/lfit/releng-global-jjb/blob/5dc3432cae2f13d9e5151a00a76a78ce73d92d70/shell/python-tools-install.sh#L27

 

https://jenkins.opendaylight.org/sandbox/view/All/job/netvirt-thirdparty-quagga-ubuntu1604/1/console

 

04:35:06 WARNING: Python projects should move to Ubuntu 18.04 to continue receiving support

04:35:14 ERROR: Package 'python-heatclient' requires a different Python: 3.5.2 not in '>=3.6'

04:35:14 Build step 'Execute shell' marked build as failure

 

 

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 07 May 2020 12:37
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

the easiest way to get a sandbox job is to write a gerrit comment like

deploy-job: <job-name>

any gerrit will work.

Otherwise you can read through here:

https://docs.opendaylight.org/projects/releng-builder/en/latest/jenkins.html

that should tell you how to use jenkins-jobs locally to push jobs to the
sandbox.

Thanks,
JamO

On 5/6/20 11:58 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

JamO Luhrsen
 

These things are all probably getting old and stale and probably could use
some maintenance and updates. Maybe you can find a similar instace
to run these scripts on to fight through all the problems and update the
scripts?

JamO

On 5/7/20 10:22 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the help.

 

jjb-deploy: netvirt-thirdparty-quagga-ubuntu1604

 

The job failed due to python dependencies:

 

https://github.com/lfit/releng-global-jjb/blob/5dc3432cae2f13d9e5151a00a76a78ce73d92d70/shell/python-tools-install.sh#L27

 

https://jenkins.opendaylight.org/sandbox/view/All/job/netvirt-thirdparty-quagga-ubuntu1604/1/console

 

04:35:06 WARNING: Python projects should move to Ubuntu 18.04 to continue receiving support

04:35:14 ERROR: Package 'python-heatclient' requires a different Python: 3.5.2 not in '>=3.6'

04:35:14 Build step 'Execute shell' marked build as failure

 

 

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 07 May 2020 12:37
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

the easiest way to get a sandbox job is to write a gerrit comment like

deploy-job: <job-name>

any gerrit will work.

Otherwise you can read through here:

https://docs.opendaylight.org/projects/releng-builder/en/latest/jenkins.html

that should tell you how to use jenkins-jobs locally to push jobs to the
sandbox.

Thanks,
JamO

On 5/6/20 11:58 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Hi Jamo,

 

Thanks for the help.

 

jjb-deploy: netvirt-thirdparty-quagga-ubuntu1604

 

The job failed due to python dependencies:

 

https://github.com/lfit/releng-global-jjb/blob/5dc3432cae2f13d9e5151a00a76a78ce73d92d70/shell/python-tools-install.sh#L27

 

https://jenkins.opendaylight.org/sandbox/view/All/job/netvirt-thirdparty-quagga-ubuntu1604/1/console

 

04:35:06 WARNING: Python projects should move to Ubuntu 18.04 to continue receiving support

04:35:14 ERROR: Package 'python-heatclient' requires a different Python: 3.5.2 not in '>=3.6'

04:35:14 Build step 'Execute shell' marked build as failure

 

 

 

Thanks,

Srinivas

+91-9243478719

 

From: Jamo Luhrsen <jluhrsen@...>
Sent: 07 May 2020 12:37
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

the easiest way to get a sandbox job is to write a gerrit comment like

deploy-job: <job-name>

any gerrit will work.

Otherwise you can read through here:

https://docs.opendaylight.org/projects/releng-builder/en/latest/jenkins.html

that should tell you how to use jenkins-jobs locally to push jobs to the
sandbox.

Thanks,
JamO

On 5/6/20 11:58 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

JamO Luhrsen
 

the easiest way to get a sandbox job is to write a gerrit comment like

deploy-job: <job-name>

any gerrit will work.

Otherwise you can read through here:

https://docs.opendaylight.org/projects/releng-builder/en/latest/jenkins.html

that should tell you how to use jenkins-jobs locally to push jobs to the
sandbox.

Thanks,
JamO

On 5/6/20 11:58 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Hi Jamo,

 

Thanks for the information provided.

 

Can you let me know how can I create sandbox job to test the quagga jobs(To create deb and rpm packages).

 

  1. netvirt-thirdparty-quagga-ubuntu1604
  2. netvirt-thirdparty-quagga-centos7

 

Thanks,

Srinivas

+91-9243478719

 

From: integration-dev@... <integration-dev@...> On Behalf Of JamO Luhrsen
Sent: 07 May 2020 06:09
To: srinivas.rachakonda@...; integration-dev@...; 'odl netvirt dev' <netvirt-dev@...>
Cc: 'Manjunatha H M' <manjunathahm@...>; karthikeyan.k@...; 'Dayavanti Gopal Kamath' <dayavanti.gopal.kamath@...>; 'Sivakumar Perumalla' <sivakumar.perumalla@...>
Subject: Re: [integration-dev] Quagga needs to be updated with latest packages.

 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh

 

On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Re: Quagga needs to be updated with latest packages.

JamO Luhrsen
 

Hi Srinivas,

I'm not really remembering how the quagga stuff gets setup for
netvirt jobs. Are you asking to install new .deb or .rpm packages
or 6WIND, or how to create them?

Anyway, some things are already there sort of scattered. Maybe
those can be updated to do what you want?

there is a jenkins builder called 'netvirt-build-quagga' [0] that
calls a quagga script [1]. I guess that runs in a job called "thirdparty-quagga-*" [2]
Is that creating what you want? If so you can poke around there.

In the csit repo, it looks like the dcgw-setup.sh script [3] is trying
to get the bits created by the above.

Hope something is helpful from that. I just went searching through
the repos :)

JamO

[0] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/netvirt-dependencies.yaml

[1] https://github.com/opendaylight/releng-builder/blob/master/jjb/netvirt/quagga-build.sh

[2] https://jenkins.opendaylight.org/releng/job/netvirt-thirdparty-quagga-centos7

[3] https://github.com/opendaylight/integration-test/blob/master/csit/scripts/dcgw-setup.sh


On 5/5/20 11:32 PM, srinivas.rachakonda@... wrote:

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 


Quagga needs to be updated with latest packages.

Srinivas <srinivas.rachakonda@...>
 

Hi Jamo,

 

Recently a lot of BGP changes have been updated from downstream to community.

Due to this the quagga needs to be updated with the latest code from 6WIND.

 

Please kindly suggest on how to proceed and create a new Debian and RPM packages for 6WIND.

 

Any pointers to with will be of great help.

 

Thanks,

Srinivas

+91-9243478719

 

521 - 540 of 14659